Public Member Functions | Data Fields

# PersistentStorage Struct Reference

Class for pooled persistent storage of data. More...

`#include <newgrf_storage.h>`

Inheritance diagram for PersistentStorage:

## Public Member Functions
| PersistentStorage (const uint32 new_grfid)
| We don't want GCC to zero our struct! It already is zeroed and has an index!
| ~PersistentStorage ()
| Free the memory used by the persistent storage.
## Data Fields
uint32 | grfid
| GRFID associated to this persistent storage. A value of zero means "default".

## Detailed Description

Class for pooled persistent storage of data.

On ClearChanges that data is always zero-ed.

Definition at line 194 of file newgrf_storage.h.

## Constructor & Destructor Documentation

PersistentStorage::~PersistentStorage | ( |  | ) | `[inline]`

Free the memory used by the persistent storage.

Definition at line 205 of file newgrf_storage.h.

References free(), and PersistentStorageArray< int32, 16 >::prev_storage.

The documentation for this struct was generated from the following file:

- src/newgrf_storage.h